/*
 * IReportWizardInterface.java
 *
 * Created on March 22, 2006, 9:06 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.gui.wizard;

import javax.swing.JPanel;

/**
 *
 * @author gtoffoli
 */
public interface GenericWizard {
    
    public String[] getStepsNames();
    public String getStepDescription(int step);
    
    
    public void initWizard();
    
    /* Go to the next step (stepNumber)
     * return true if the nextStep is succesfully reached
     */
    public boolean nextStep(int nextStep);
    
    
    /* Go to the previous step (stepNumber)
     * return true if the nextStep is succesfully reached
     */
    public boolean previousStep(int previousStep);
    
    /* finish now
     *
     */
    public void finish(int currentStep);
    
    public boolean canFinish(int currentStep);
    public boolean canNext(int currentStep);
    public boolean canPrevious(int currentStep);
    
    public JPanel getStepPanel( int step);


}
